Bug 89112 - u_atomic_test: u_atomic_test.c:124: test_atomic_8bits_bool: Assertion `r == 65 && "p_atomic_add"' failed.
Summary: u_atomic_test: u_atomic_test.c:124: test_atomic_8bits_bool: Assertion `r == 6...
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Mesa core (show other bugs)
Version: git
Hardware: x86-64 (AMD64) All
: medium major
Assignee: Jose Fonseca
QA Contact: mesa-dev
URL:
Whiteboard:
Keywords: bisected, regression
Depends on:
Blocks:
 
Reported: 2015-02-13 00:35 UTC by Vinson Lee
Modified: 2016-07-09 00:10 UTC (History)
3 users (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vinson Lee 2015-02-13 00:35:42 UTC
mesa: 55a57834bf912916a5e07486b32f1778b35657f6 (master 10.6.0-devel)

$ make check
[...]
u_atomic_test: u_atomic_test.c:124: test_atomic_8bits_bool: Assertion `r == 65 && "p_atomic_add"' failed.


d2438f5920b95a880e9146882a58bf37ec57bad5 is the first bad commit
commit d2438f5920b95a880e9146882a58bf37ec57bad5
Author: Jose Fonseca <jfonseca@vmware.com>
Date:   Wed Feb 11 15:21:25 2015 +0000

    util/u_atomic: Test p_atomic_add() for 8bit integers.

    Reviewed-by: Brian Paul <brianp@vmware.com>
    Reviewed-by: Roland Scheidegger <sroland@vmware.com>

:040000 040000 81921bb0ca3ae39f1183d80ce34b8d9a2cb4c83e 9f06b9a346a7105c00ab91f93e8dbc15325c207d M      src
bisect run success
Comment 1 Jose Fonseca 2015-02-13 07:06:01 UTC
Ah, we want to test u_atomic with (u)int8, but not bool...

I'll fix this.
Comment 2 Jose Fonseca 2015-02-13 19:40:46 UTC
Thanks for letting me know.

Should be fixed with b09f25428ff5e908aefc03b8f9931599c3afd6d2


bug/show.html.tmpl processed on Jan 18, 2017 at 04:07:36.
(provided by the Example extension).